# Copyright (C) 2002-2023 Free Software Foundation, Inc.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file.  If not, see <https://www.gnu.org/licenses/>.
#
# As a special exception to the GNU General Public License,
# this file may be distributed as part of a program that
# contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the specification of how gnulib-tool is used.
# It acts as a cache: It is written and read by gnulib-tool.
# In projects that use version control, this file is meant to be put under
# version control, like the configure.ac and various Makefile.am files.


# Specification in the form of a command-line invocation:
# gnulib-tool --import --local-dir=gl \
#  --lib=libgnu \
#  --source-base=lib \
#  --m4-base=m4 \
#  --doc-base=doc \
#  --tests-base=lib/tests \
#  --aux-dir=build-aux \
#  --makefile-name=gnulib.mk \
#  --no-conditional-dependencies \
#  --libtool \
#  --macro-prefix=gl \
#  accept \
#  access \
#  arpa_inet \
#  atoll \
#  bind \
#  c-ctype \
#  c-strcase \
#  c-strcasestr \
#  calloc-posix \
#  canonicalize-lgpl \
#  clock-time \
#  close \
#  closedir \
#  cond \
#  connect \
#  crypto/md2 \
#  crypto/md5 \
#  crypto/sha1 \
#  crypto/sha256 \
#  crypto/sha512 \
#  dirname \
#  dup \
#  dup2 \
#  errno \
#  fclose \
#  fcntl \
#  fdopen \
#  fflush \
#  filename \
#  flock \
#  fnmatch-gnu \
#  fopen \
#  freopen \
#  fstat \
#  fsync \
#  ftruncate \
#  futimens \
#  getaddrinfo \
#  getpass \
#  getsockname \
#  gettext-h \
#  gettime \
#  gitlog-to-changelog \
#  glob \
#  iconv \
#  inet_pton \
#  inline \
#  inttypes \
#  ioctl \
#  isatty \
#  lib-symbol-visibility \
#  limits-h \
#  link \
#  listen \
#  lock \
#  maintainer-makefile \
#  malloc-posix \
#  memchr \
#  mkdir \
#  mkstemp \
#  msvc-nothrow \
#  nanosleep \
#  netdb \
#  netinet_in \
#  nl_langinfo \
#  open \
#  opendir \
#  pclose \
#  pipe-posix \
#  poll \
#  popen \
#  posix_spawn \
#  progname \
#  pwrite \
#  qsort_r \
#  random_r \
#  read \
#  readdir \
#  realloc-posix \
#  recv \
#  recvfrom \
#  regex \
#  rename \
#  safe-read \
#  safe-write \
#  select \
#  send \
#  sendto \
#  servent \
#  setlocale \
#  setsockopt \
#  socket \
#  sockets \
#  socklen \
#  spawn-pipe \
#  stat \
#  stdarg \
#  stdbool \
#  stddef \
#  stdint \
#  strcase \
#  strchrnul \
#  strdup-posix \
#  strerror \
#  strndup \
#  strstr \
#  strtoll \
#  sys_file \
#  sys_socket \
#  sys_stat \
#  sys_time \
#  sys_types \
#  sys_uio \
#  thread \
#  time_r \
#  unistd \
#  unlink \
#  update-copyright \
#  warnings \
#  wcwidth \
#  write \
#  xgethostname

# Specification in the form of a few gnulib-tool.m4 macro invocations:
gl_LOCAL_DIR([gl])
gl_MODULES([
  accept
  access
  arpa_inet
  atoll
  bind
  c-ctype
  c-strcase
  c-strcasestr
  calloc-posix
  canonicalize-lgpl
  clock-time
  close
  closedir
  cond
  connect
  crypto/md2
  crypto/md5
  crypto/sha1
  crypto/sha256
  crypto/sha512
  dirname
  dup
  dup2
  errno
  fclose
  fcntl
  fdopen
  fflush
  filename
  flock
  fnmatch-gnu
  fopen
  freopen
  fstat
  fsync
  ftruncate
  futimens
  getaddrinfo
  getpass
  getsockname
  gettext-h
  gettime
  gitlog-to-changelog
  glob
  iconv
  inet_pton
  inline
  inttypes
  ioctl
  isatty
  lib-symbol-visibility
  limits-h
  link
  listen
  lock
  maintainer-makefile
  malloc-posix
  memchr
  mkdir
  mkstemp
  msvc-nothrow
  nanosleep
  netdb
  netinet_in
  nl_langinfo
  open
  opendir
  pclose
  pipe-posix
  poll
  popen
  posix_spawn
  progname
  pwrite
  qsort_r
  random_r
  read
  readdir
  realloc-posix
  recv
  recvfrom
  regex
  rename
  safe-read
  safe-write
  select
  send
  sendto
  servent
  setlocale
  setsockopt
  socket
  sockets
  socklen
  spawn-pipe
  stat
  stdarg
  stdbool
  stddef
  stdint
  strcase
  strchrnul
  strdup-posix
  strerror
  strndup
  strstr
  strtoll
  sys_file
  sys_socket
  sys_stat
  sys_time
  sys_types
  sys_uio
  thread
  time_r
  unistd
  unlink
  update-copyright
  warnings
  wcwidth
  write
  xgethostname
])
gl_AVOID([])
gl_SOURCE_BASE([lib])
gl_M4_BASE([m4])
gl_PO_BASE([])
gl_DOC_BASE([doc])
gl_TESTS_BASE([lib/tests])
gl_LIB([libgnu])
gl_MAKEFILE_NAME([gnulib.mk])
gl_LIBTOOL
gl_MACRO_PREFIX([gl])
gl_PO_DOMAIN([])
gl_WITNESS_C_MACRO([])
